Author Topic: FSO 19.0 - Unable to Select AVX in Knossos  (Read 177 times)

0 Members and 1 Guest are viewing this topic.

Offline AV8R

  • 28
FSO 19.0 - Unable to Select AVX in Knossos
Hey guys, there's a minor issue with the last stable release (version 19.0) where, when you're in the Global settings area in Knossos, you can't select the AVX version of the version 19 EXE because it's not listed - only the SSE2 versions are listed. While this is not deal-breaker in that and you can still select the AVX EXE under each mod's settings area by using the Browse button, you'll end up having to do that for each mod individually. And if you have a big library of mods, it could get a little tedious.

After a little digging in version 19's folder, I found the culprit is the mod.json file not having an AVX folder/file list section like the SSE folders/files do, so a simple update to the mod.json file would allow Knossos to be able to parse the new info and see that there are also AVX versions of the EXE's available too. They would then be selectable in the Global settings of Knossos so they can be applied to multiple mods at the same time, so you don't have to set the AVX EXE for each mod one by one.

Oh, and while were talking about Global settings, a bit of a suggestion: a nice addition to the Global features area in Knossos would be a "Clear" button that would wipe out all existing global settings entered so, for example, you can start over from scratch if you don't like what you set. Or for those don't want any global settings at all because they prefer to set each mod individually instead. Just a thought.

Thank you all for continued efforts in keeping Freespace alive and kicking (arse)!  :yes: :yes:

« Last Edit: May 09, 2020, 04:45:41 pm by AV8R »

 

Offline AV8R

  • 28
Re: FSO 19.0 - Unable to Select AVX in Knossos
Nevermind... I uninstalled 19.0 and then redownloaded it and then all versions became visible (x86 SSE/AVX and x64 SSE/AVX).

Happy Mothers Day.  :lol: